Name: ruby-libidn
Version: 0.0.2
Release: alt2
Summary: Ruby Bindings for the GNU LibIDN library
License: Apache Software License
Group: Development/Ruby
Url: http://rubyforge.org/projects/idn/
Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>
Source0: idn-%version.tar.gz
AutoReq: yes, noshell

# Automatically added by buildreq on Mon Dec 19 2005
BuildRequires: libidn-devel libruby-devel ruby-stdlibs ruby

%description 
Ruby Bindings for the GNU LibIDN library - featuring the most 
important bits of all LibIDN APIs like performing Stringprep 
processings, encoding to and decoding from Punycode strings 
and converting entire domain names to and from the ACE encoded 
form.

%prep
%setup -q -n idn-%version

%build
cd ext
ruby extconf.rb
make
rdoc -o ../doc 
cd ..

%install
%__mkdir_p %buildroot%ruby_sitearchdir
%__cp ext/idn.so %buildroot%ruby_sitearchdir

%files
%ruby_sitearchdir/*
%doc README LICENSE NOTICE test/ doc/

%changelog
* Fri Feb 17 2006 Kirill A. Shutemov <kas@altlinux.ru> 0.0.2-alt2
- libidn is not noarch

* Thu Feb 16 2006 Kirill A. Shutemov <kas@altlinux.ru> 0.0.2-alt1
- 0.0.2

* Mon Dec 19 2005 Kirill A. Shutemov <kas@altlinux.ru> 0.0.1-alt1
- first build

